<resources>

    <declare-styleable name="CircleImageView">
        <attr name="civ_border_width1" format="dimension" />
        <attr name="civ_border_color1" format="color" />
        <attr name="civ_border_overlay1" format="boolean" />
        <attr name="civ_fill_color1" format="color" />
    </declare-styleable>


    <!--RobotoTextView-->
    <declare-styleable name="RobotoTextView">
        <attr name="typeface" format="enum">
            <enum name="robotoMedium" value="1" />
            <enum name="robotoRegular" value="0" />
            <enum name="robotoBold" value="3" />
            <enum name="robotolight" value="2" />
        </attr>
    </declare-styleable>

    <!-- Crop overlay view -->
    <declare-styleable name="CropOverlayView">
        <attr name="guideLines" format="boolean"/>
        <attr name="marginTop" format="dimension"/>
        <attr name="marginSide" format="dimension"/>
        <attr name="minWidth" format="dimension"/>
        <attr name="maxWidth" format="dimension"/>
        <attr name="cornerRadius" format="dimension"/>
        <attr name="overlayColor" format="color"/>
    </declare-styleable>



    <declare-styleable name="CameraView">
        <!--
          Set this to true if you want the CameraView to adjust its bounds to preserve the aspect
          ratio of its camera preview.
        -->
        <attr name="android:adjustViewBounds"/>
        <!-- Direction the camera faces relative to device screen. -->
        <attr name="maximumWidth" format="integer"/>
        <attr name="maximumPreviewWidth" format="integer"/>
        <attr name="useHighResPicture" format="boolean"/>
        <attr name="facing" format="enum">
            <!-- The camera device faces the opposite direction as the device's screen. -->
            <enum name="back" value="0"/>
            <!-- The camera device faces the same direction as the device's screen. -->
            <enum name="front" value="1"/>
        </attr>
        <!-- Aspect ratio of camera preview and pictures. -->
        <attr name="cameraAspectRatio" format="string"/>
        <!-- Continuous auto focus mode. -->
        <attr name="autoFocus" format="boolean"/>
        <!-- The flash mode. -->
        <attr name="flash" format="enum">
            <!-- Flash will not be fired. -->
            <enum name="off" value="0"/>
            <!--
              Flash will always be fired during snapshot.
              The flash may also be fired during preview or auto-focus depending on the driver.
            -->
            <enum name="on" value="1"/>
            <!--
              Constant emission of light during preview, auto-focus and snapshot.
              This can also be used for video recording.
            -->
            <enum name="torch" value="2"/>
            <!--
              Flash will be fired automatically when required.
              The flash may be fired during preview, auto-focus, or snapshot depending on the
              driver.
            -->
            <enum name="auto" value="3"/>
            <!--
              Flash will be fired in red-eye reduction mode.
            -->
            <enum name="redEye" value="4"/>
        </attr>
        <!-- The zoom status. -->
        <attr name="enableZoom" format="boolean" />
    </declare-styleable>


</resources>
